
textures/darkness2/trim1
{
	surfaceparm nomarks
	q3map_surfacelight 2000
	q3map_lightsubdivide 32
	q3map_lightimage textures/darkness2/trim1_blend.tga
	qer_editorimage textures/darkness2/trim1.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/darkness2/trim1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/darkness2/trim1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/darkness2/trim2
{
	surfaceparm nomarks
	q3map_surfacelight 4000
	q3map_lightsubdivide 32
	q3map_lightimage textures/darkness2/trim2_blend.tga
	qer_editorimage textures/darkness2/trim2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/darkness2/trim2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/darkness2/trim2_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/darkness2/trim3
{
	surfaceparm nomarks
	q3map_surfacelight 4000
	q3map_lightsubdivide 32
	q3map_lightimage textures/darkness2/trim3_blend.tga
	qer_editorimage textures/darkness2/trim3.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/darkness2/trim3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/darkness2/trim3_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/darkness2/trim4
{
	surfaceparm nomarks
	q3map_surfacelight 2000
	q3map_lightsubdivide 32
	q3map_lightimage textures/darkness2/trim4_blend.tga
	qer_editorimage textures/darkness2/trim4.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/darkness2/trim4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/darkness2/trim4_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

htextures/darkness2/glass
{
	qer_editorimage textures/darkness2/glass.jpg
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm slick
	cull disable
	qer_trans 0.5

	{
		map textures/darkness2/glass.jpg
		blendfunc add
		//rgbGen vertex
		tcgen environment
		tcmod scale 4 4
	}
	{
		map "textures/darkness2/tintx.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}	
}

textures/darkness2/flame1
{
	
	surfaceparm nomarks
     surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 4000
	

	{
		animMap 10 textures/darkness2/flame1.tga textures/darkness2/flame2.tga textures/darkness2/flame3.tga textures/darkness2/flame4.tga textures/darkness2/flame5.tga textures/darkness2/flame6.tga textures/darkness2/flame7.tga textures/darkness2/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/darkness2/flame2.tga textures/darkness2/flame3.tga textures/darkness2/flame4.tga textures/darkness2/flame5.tga textures/darkness2/flame6.tga textures/darkness2/flame7.tga textures/darkness2/flame8.tga textures/darkness2/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/darkness2/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/darkness2/blue_neon
{
	qer_editorimage textures/darkness2/blue_neon.tga
	q3map_lightimage textures/darkness2/blue_neon.tga
	q3map_surfacelight 100
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/darkness2/blue_neon.tga
		blendfunc GL_ONE GL_ONE
		tcGen base
                tcmod rotate 100
		//tcMod turb 0.05 0.05 0.05 .05
                tcmod scroll 1.5 -2.0
	}
}

textures/darkness2/water
{
        qer_editorimage textures/darkness2/hq_water_a.tga
        qer_trans .5
        q3map_globaltexture
        //q3map_surfacelight 500
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water
        tessSize 64
        cull disable
        deformVertexes wave 256 sin 0.5 1.75 .5 .5
        {
            map textures/darkness2/hq_water_a.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.010 .05
        }
        {
            map textures/darkness2/hq_water_b.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll .05 -.010
        }
        {
            map textures/darkness2/hq_water_c.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.05 .010
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbgen identity
        }
}

textures/darkness2/moss_1024
{
	surfaceparm nonsolid	
	surfaceparm alphashadow
	q3map_shadeangle 45
	cull none
	nopicmip
	   	
	{
		map textures/darkness2/moss_1024.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}

textures/darkness2/fog
{
	qer_editorimage textures/darkness2/fog.tga
	
	// the fog brush scatters bounce light in q3map2 using the editorimage as lightimage unless this is set :(
	q3map_bounceScale 0.0
	
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	fogparms ( 0.4 0.6 0.8 ) 12800
}

textures/darkness2/icefog_dark
{
	qer_editorimage textures/darkness2/fog_dark.tga
	qer_trans 0.15
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm fog
	fogparms ( 0.0  0.0 0.0 ) 4000
}

textures/darkness2/redwater
{
	qer_editorimage textures/darkness2/redwater_bright.tga
	q3map_lightimage textures/darkness2/redwater_bright.tga
	q3map_globaltexture
	qer_trans .5
	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans		

	q3map_surfacelight 200
	tessSize 32
	cull disable

	deformVertexes wave 100 sin 0 1 .5 .5
		{
			map textures/darkness2/redwater_dark.tga
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}	
		{
			map textures/darkness2/redwater_bright.tga
			blendfunc GL_ONE GL_ONE
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .01 .01
		}
		{
			map textures/darkness2/bubbles.tga
			blendfunc GL_ZERO GL_SRC_COLOR
			tcMod turb .2 .1 .1 .2
			tcMod scale .05 .05
			tcMod scroll .001 .001
		}

}

textures/darkness2/beam_cyan
{
	q3map_baseshader textures/darkness2/beam_cyan
 	cull disable
 	cull none
	surfaceparm	nonsolid
	{
		map textures/darkness2/beam_cyan.tga
		tcMod Scroll .3 0
		blendFunc add
	}
}

textures/darkness2/lamp_01
{
	surfaceparm nomarks
	q3map_surfacelight 2000
	q3map_lightsubdivide 32
	q3map_lightimage textures/darkness2/lamp_01_blend.tga
	qer_editorimage textures/darkness2/lamp_01.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/darkness2/lamp_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/darkness2/lamp_01_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/darkness2/death
{
        qer_editorimage textures/darkness2/death.tga
        q3map_surfacelight 2000
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/darkness2/death.tga
                blendfunc filter
        }
}

textures/darkness2/blue_darck
{
	surfaceparm nomarks
	q3map_surfacelight 4000
	q3map_lightsubdivide 32
	q3map_lightimage textures/darkness2/blue_darck_blend.tga
	qer_editorimage textures/darkness2/blue_darck.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/darkness2/blue_darck.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/darkness2/blue_darck_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/darkness2/Vio
{
      surfaceparm trans
	surfaceparm pointlight
	surfaceparm nodamage
	{
	map textures/darkness2/Vio.tga
      blendfunc add
	rgbGen vertex
	}
}

textures/darkness2/Kmo
{
      surfaceparm trans
	surfaceparm pointlight
	surfaceparm nodamage
	{
	map textures/darkness2/Kmo.tga
      blendfunc add
	rgbGen vertex
	}
}

textures/darkness2/Kill
{
      surfaceparm trans
	surfaceparm pointlight
	surfaceparm nodamage
	{
	map textures/darkness2/Kill.tga
      blendfunc add
	rgbGen vertex
	}
}

textures/darkness2/end
{
      surfaceparm trans
	surfaceparm pointlight
	surfaceparm nodamage
	{
	map textures/darkness2/end.tga
      blendfunc add
	rgbGen vertex
	}
}

textures/darkness2/test1
{
      surfaceparm trans
	surfaceparm pointlight
	surfaceparm nodamage
	{
	map textures/darkness2/test1.tga
      blendfunc add
	rgbGen vertex
	}
}

textures/darkness2/wtf
{
      surfaceparm trans
	surfaceparm pointlight
	surfaceparm nodamage
	{
	map textures/darkness2/wtf.tga
      blendfunc add
	rgbGen vertex
	}
}

textures/darkness2/game
{
      surfaceparm trans
	surfaceparm pointlight
	surfaceparm nodamage
	{
	map textures/darkness2/game.tga
      blendfunc add
	rgbGen vertex
	}
}


